# Memcached::setOption

(PECL memcached >= 0.1.0)

Memcached::setOption — Configure une option Memcached

### Description

public Memcached::setOption(int `$option`, mixed `$value`): bool

Memcached::setOption() configure une valeur de l'option Memcached `option` avec la valeur `value`. Certaines options correspondent à celles définies dans libmemcached, et d'autres sont spécifiques à l'extension.

### Liste de paramètres

`option`

  Une des constantes `Memcached::OPT_*`. Voir Memcached Constants pour plus d'informations.

`value`

  La valeur à définir.

  > Note:

  > Les options ci-dessous nécessite que les valeurs soit spécifié via les constantes.

  > - `Memcached::OPT_HASH` nécessite des valeurs `Memcached::HASH_*`.
  > - `Memcached::OPT_DISTRIBUTION` nécessite des valeurs `Memcached::DISTRIBUTION_*`.
  > - `Memcached::OPT_SERIALIZER` nécessite des valeurs `Memcached::SERIALIZER_*`.
  > - `Memcached::OPT_COMPRESSION_TYPE` nécessite des valeurs `Memcached::COMPRESSION_*`.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Exemples

Exemple #1 Configuration d'une option Memcached

`<?php
$m = new Memcached();
var_dump($m->getOption(Memcached::OPT_HASH) == Memcached::HASH_DEFAULT);
$m->setOption(Memcached::OPT_HASH, Memcached::HASH_MURMUR);
$m->setOption(Memcached::OPT_PREFIX_KEY, "widgets");
echo "Le préfixe de la clé est maintenant : ", $m->getOption(Memcached::OPT_PREFIX_KEY), "\n";
?>`

L'exemple ci-dessus va afficher :

    bool(true)
    Le préfixe de la clé est maintenant : widgets

### Voir aussi

- Memcached::getOption() - Lit une option Memcached
- Memcached::setOptions() - Définit des options Memcache
- Les constantes Memcached